=== debian/changelog ===
ros-foxy-moveit-ros-planning (2.2.3-1focal) focal; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-ros-planning (2.2.2-1focal) focal; urgency=high

  * MoveitCpp - path constraints added from PlanningComponent (#752 <https://github.com/ros-planning/moveit2/issues/752>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Tests for CurrentStateMonitor using dependency injection (#562 <https://github.com/ros-planning/moveit2/issues/562>)
  * Fix joint's position limits loading (#553 <https://github.com/ros-planning/moveit2/issues/553>)
  * Contributors: Akash, Marco Lapolla, Lior Lustgarten, Tyler Weaver, Vatan Aksoy Tezer, Henning Kayser, Jorge Nicho, Nisala Kalupahana, Jafar Abdi

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit-ros-planning (2.2.1-1focal) focal; urgency=high

  * Fix unwanted override of URDF joint limit defaults (#546 <https://github.com/ros-planning/moveit2/issues/546>)
  * Contributors: Jafar Abdi

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit-ros-planning (2.2.0-1focal) focal; urgency=high

  * Fix stopping the TrajectoryExecutionManager's execution (#506 <https://github.com/ros-planning/moveit2/issues/506>)
  * Enable Rolling and Galactic CI (#494 <https://github.com/ros-planning/moveit2/issues/494>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * PSM: Don't read padding parameters from private namespace (#2706 <https://github.com/ros-planning/moveit/issues/2706>)
    * MSA: Fix template (max_safe_path_cost) (#2703 <https://github.com/ros-planning/moveit/issues/2703>)
    * CI: Use compiler flag --pedantic (#2691 <https://github.com/ros-planning/moveit/issues/2691>)
    * CI: Fail on warnings (#2687 <https://github.com/ros-planning/moveit/issues/2687>)
    * Refine CSM::haveCompleteState (#2663 <https://github.com/ros-planning/moveit/issues/2663>)
    * Use private namespace instead of child for PlanningPipeline topics (#2652 <https://github.com/ros-planning/moveit/issues/2652>)
    * Print error before returning (#2639 <https://github.com/ros-planning/moveit/issues/2639>)
    * Simplify logic in PSM (#2632 <https://github.com/ros-planning/moveit/issues/2632>)
    * PlanExecution: Correctly handle preempt-requested flag (#2554 <https://github.com/ros-planning/moveit/issues/2554>)
    * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)Deprecate namespace moveit::planning_interface in favor of moveit_cpp
    
      * thread safety in clear octomap & only update geometry (#2500 <https://github.com/ros-planning/moveit/issues/2500>)
    
  * Contributors: Henning Kayser, Jafar Abdi, JafarAbdi, Luc Bettaieb, Martin Günther, Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, Vatan Aksoy Tezer, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit-ros-planning (2.1.4-1focal) focal; urgency=high

  * PlanningRequestAdapter helper method getParam()  (#468 <https://github.com/ros-planning/moveit2/issues/468>)
    * Implement parameters for adapter plugins
  * Contributors: David V. Lu!!

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-planning (2.1.3-1focal) focal; urgency=high

  * Delete exclusive arg for collision detector creation (#466 <https://github.com/ros-planning/moveit2/issues/466>)
    * Delete exclusive arg for collision detector creation
    * Rename setActiveCollisionDetector->allocateCollisionDetector everywhere
  * Contributors: AndyZe

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-planning (2.1.2-1focal) focal; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-planning (2.1.1-1focal) focal; urgency=high

  * Declare joint limit parameters (#408 <https://github.com/ros-planning/moveit2/issues/408>)
  * Add initialize function for moveit_sensor_manager plugin (#386 <https://github.com/ros-planning/moveit2/issues/386>)
  * Eliminate ability to keep multiple collision detectors updated (#364 <https://github.com/ros-planning/moveit2/issues/364>)
  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * MTC compatibility fixes (#323 <https://github.com/ros-planning/moveit2/issues/323>)
  * trajectory_execution_manager: Fix creating duration from double
  * current_state_monitor: Fix creating duration from double & converting duration to seconds
  * Fix some typos in comments (#2466 <https://github.com/ros-planning/moveit2/issues/2466>)
  * Fix repo URLs in package.xml files
  * Contributors: AndyZe, Boston Cleek, Henning Kayser, Jafar Abdi, Tyler Weaver, Udbhavbisarya23, Yu Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-planning (2.1.0-1focal) focal; urgency=high

  * [improvement] Planning Scene Monitor Node Executor (#230 <https://github.com/ros-planning/moveit2/issues/230>, #257 <https://github.com/ros-planning/moveit2/issues/257>, #262 <https://github.com/ros-planning/moveit2/issues/262>, #266 <https://github.com/ros-planning/moveit2/issues/266>)
    * Fix PSM private node name

