=== debian/control ===
Source: ros-foxy-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock, ros-foxy-ament-cmake-gtest, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-eigen3-cmake-module, ros-foxy-message-filters, ros-foxy-moveit-common, ros-foxy-moveit-core, ros-foxy-moveit-msgs, ros-foxy-moveit-resources-panda-moveit-config, ros-foxy-moveit-ros-occupancy-map-monitor, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-srdfdom, ros-foxy-tf2, ros-foxy-tf2-eigen, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-msgs, ros-foxy-tf2-ros, ros-foxy-urdf, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-foxy-ament-index-cpp, ros-foxy-eigen3-cmake-module, ros-foxy-message-filters, ros-foxy-moveit-core, ros-foxy-moveit-msgs, ros-foxy-moveit-ros-occupancy-map-monitor, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-srdfdom, ros-foxy-tf2, ros-foxy-tf2-eigen, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-msgs, ros-foxy-tf2-ros, ros-foxy-urdf, ros-foxy-ros-workspace
Conflicts: ros-foxy-moveit-ros-planning-interface (<< 2.1.5)
Replaces: ros-foxy-moveit-ros-planning-interface (<< 2.1.5)
Description: Planning components of MoveIt that use ROS
